curl "https://api.pmx.trade/v2/markets/1"
{
"success": true,
"data": {
"id": 1,
"title": "BTC above $95000 by Mar 1 12:00 UTC",
"description": "Will BTC be above $95,000 at the resolution time?",
"status": "resolved",
"marketType": "amm",
"winningOutcome": "yes",
"winningSide": "YES",
"yesTicker": "YES",
"noTicker": "NO",
"yesMint": "8xK3...abc",
"noMint": "9yL4...def",
"yesReserve": 3500000,
"noReserve": 6500000,
"odds": { "yes": 0.65, "no": 0.35 },
"tradeFeeBps": 200,
"creator": "7xKX...abc",
"createdAt": 1717200000,
"resolutionTime": 1735689600,
"mintsInitialized": true,
"creatorFeesAccrued": 1500000,
"creatorFeesAccruedHuman": 1.50,
"creatorFeesClaimed": 500000,
"creatorFeesClaimedHuman": 0.50
}
}
Get full details for a specific market.
curl "https://api.pmx.trade/v2/markets/1"
{
"success": true,
"data": {
"id": 1,
"title": "BTC above $95000 by Mar 1 12:00 UTC",
"description": "Will BTC be above $95,000 at the resolution time?",
"status": "resolved",
"marketType": "amm",
"winningOutcome": "yes",
"winningSide": "YES",
"yesTicker": "YES",
"noTicker": "NO",
"yesMint": "8xK3...abc",
"noMint": "9yL4...def",
"yesReserve": 3500000,
"noReserve": 6500000,
"odds": { "yes": 0.65, "no": 0.35 },
"tradeFeeBps": 200,
"creator": "7xKX...abc",
"createdAt": 1717200000,
"resolutionTime": 1735689600,
"mintsInitialized": true,
"creatorFeesAccrued": 1500000,
"creatorFeesAccruedHuman": 1.50,
"creatorFeesClaimed": 500000,
"creatorFeesClaimedHuman": 0.50
}
}
Show Market details
active, resolved, or cancelledpool or ammunresolved, yes, or noYES or NO). Only present for resolved markets.UP, YES, FLIP)DOWN, NO, NOFLIP){ yes: 0.65, no: 0.35 }true if YES/NO token mints are properly initializedtrue if mints are uninitialized. These markets cannot be traded.curl "https://api.pmx.trade/v2/markets/1"
{
"success": true,
"data": {
"id": 1,
"title": "BTC above $95000 by Mar 1 12:00 UTC",
"description": "Will BTC be above $95,000 at the resolution time?",
"status": "resolved",
"marketType": "amm",
"winningOutcome": "yes",
"winningSide": "YES",
"yesTicker": "YES",
"noTicker": "NO",
"yesMint": "8xK3...abc",
"noMint": "9yL4...def",
"yesReserve": 3500000,
"noReserve": 6500000,
"odds": { "yes": 0.65, "no": 0.35 },
"tradeFeeBps": 200,
"creator": "7xKX...abc",
"createdAt": 1717200000,
"resolutionTime": 1735689600,
"mintsInitialized": true,
"creatorFeesAccrued": 1500000,
"creatorFeesAccruedHuman": 1.50,
"creatorFeesClaimed": 500000,
"creatorFeesClaimedHuman": 0.50
}
}
creatorFeesAccrued to check if there are fees worth claiming before calling the claim-fees endpoint.mintsInitialized is false (and _broken is true), the market’s token mints were never initialized. This market cannot be traded on, and all buy/sell/redeem operations will fail. These markets are automatically filtered from the list markets endpoint.